Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/opus-tools: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 2 Apr 2016 16:11:52 +0000

---
 testing/opus-tools/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/opus-tools/APKBUILD
diff --git a/testing/opus-tools/APKBUILD b/testing/opus-tools/APKBUILD
new file mode 100644
index 0000000..361cd8f
--- /dev/null
+++ b/testing/opus-tools/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=opus-tools
+pkgver=0.1.9
+pkgrel=0
+pkgdesc="Collection of tools for Opus audio codec"
+url="http://wiki.xiph.org/Opus-tools"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libogg-dev opus-dev flac-dev linux-headers"
+install=""
+subpackages="$pkgname-doc"
+source="pkgname-$pkgver.tar.gz::http://downloads.xiph.org/releases/opus/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--enable-assertions \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="20682e4d8d1ae9ec5af3cf43e808b8cb  pkgname-0.1.9.tar.gz"
+sha256sums="b1873dd78c7fbc98cf65d6e10cfddb5c2c03b3af93f922139a2104baedb4643a  pkgname-0.1.9.tar.gz"
+sha512sums="e2cdc0c9c24297565f9d457893bcc548696b1a9c9b66e4cd48ddbe4dcf865bc50da5ed1b438b2b9ecdcd8be1d7c211d2be199f707cdbcd8a46a75353b0173a4c  pkgname-0.1.9.tar.gz"
-- 
2.8.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Apr 02 2016 - 16:11:52 GMT